Flecs: flecs::stringstream Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::stringstream Struct Reference

Simple stringstream wrapper around ecs_strbuf_t. More...

`#include <stringstream.hpp>`

## Public Member Functions
| stringstream ()
| Default constructor.
| ~stringstream ()
| Destructor.
| stringstream (stringstream &&str) noexcept
| Move constructor.
stringstream & | operator= (stringstream &&str) noexcept
| Move assignment operator.
stringstream & | operator= (const stringstream &str)=delete
| Ban implicit copies/allocations.
| stringstream (const stringstream &str)=delete
| Ban implicit copies/allocations.
stringstream & | operator<< (const char *str)
| Append a C string to the stream.
flecs::string | str ()
| Get the accumulated string as an owned flecs::string.

## Detailed Description

Simple stringstream wrapper around ecs_strbuf_t.

Definition at line 9 of file stringstream.hpp.

## Constructor & Destructor Documentation

## ◆ stringstream() [1/2]

flecs::stringstream::stringstream | ( |  | ) |
| inlineexplicit

Default constructor.

Definition at line 11 of file stringstream.hpp.

## ◆ ~stringstream()

flecs::stringstream::~stringstream | ( |  | ) |
| inline

Destructor.

Reset the internal buffer.

Definition at line 15 of file stringstream.hpp.

## ◆ stringstream() [2/2]

flecs::stringstream::stringstream | ( | stringstream && | str | ) |
| inlinenoexcept

Move constructor.

Definition at line 20 of file stringstream.hpp.

## Member Function Documentation

## ◆ operator<<()

stringstream & flecs::stringstream::operator<< | ( | const char * | str | ) |
| inline

Append a C string to the stream.

Definition at line 40 of file stringstream.hpp.

## ◆ operator=()

stringstream & flecs::stringstream::operator= | ( | stringstream && | str | ) |
| inlinenoexcept

Move assignment operator.

Definition at line 27 of file stringstream.hpp.

## ◆ str()

flecs::string flecs::stringstream::str | ( |  | ) |
| inline

Get the accumulated string as an owned flecs::string.

Definition at line 46 of file stringstream.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/stringstream.hpp